Subject: bug#12055: Re: Re: bug#12055: 24.1.50; Characters "á" and "é" are not correctly displayed on a Windows terminal

From: Eli Zaretskii <[email-masked]>
Date: Sat, 28 Jul 2012 18:35:20 +0300

> Date: Sat, 28 Jul 2012 17:23:19 +0200
> From: Dani Moncayo <[email-masked]>
> Cc: [email-masked], [email-masked]
> 
> > Did you compile international/mule-cmds.el (which was modified by the
> > patch)
> 
> Yes.
> 
> > and did you re-dump Emacs after byte-compiling mule-cmds.el?
> 
> I don't know.  This is exactly what I did:
> 1. I applied your patch to my branch (the whole patch, which includes
> the file you mention).
> 2. To make sure that the patch was correctly applied, I compared your
> patch with the output of "bzr diff" (I'm attaching this output if you
> want to check it).
> 3. I went to the "nt" subdirectory and ran a plain "mingw32-make".  I
> thought that the build system would know what to recompile based on
> what files have changed since the last time.
> 4. I ran a "mingw32-make install".
> 
> > If you did all that, what is the value you get by evaluating
> > (terminal-coding-system)
> 
> cp1252
> 
> >, and what is the value you get from
> > w32-get-console-codepage?
> 
> "w32-get-console-codepage" is void as a variable.
> "(w32-get-console-codepage)" returns 850.

This looks as if the changes in mule-cmds didn't take place at all.
Please try rebuilding one more time, and please run emacs.exe from
src/oo-spd/i386 or src/oo/i386 (depending on whether you build it
optimized or not).